## fcitx-libpinyin 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-libpinyin)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Libintl REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx 4.2.0 REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(Libpinyin REQUIRED)
find_program(WGET wget REQUIRED)
find_program(TAR tar REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(FCITX_LIBPINYIN_ZHUYIN_DATADIR "${FCITX4_PREFIX}/share/fcitx/libpinyin/zhuyin_data")
set(libdir ${LIB_INSTALL_DIR})

configure_file(config.h.in config.h)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

add_subdirectory(standalone)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-libpinyin.conf)
fcitx_add_configdesc_file(fcitx-libpinyin.desc)

fcitx_add_inputmethod_conf_file(pinyin-libpinyin.conf)
fcitx_add_inputmethod_conf_file(shuangpin-libpinyin.conf)
fcitx_add_inputmethod_conf_file(zhuyin-libpinyin.conf)

install(FILES bopomofo.png RENAME fcitx-bopomofo.png DESTINATION share/icons/hicolor/48x48/status/)

set(ZHUYIN_URL "https://github.com/downloads/fcitx/fcitx-libpinyin/model.text.tar.gz")
set(ZHUYIN_TAR "${CMAKE_CURRENT_SOURCE_DIR}/model.text.tar.gz")
set(ZHUYIN_ORGDATA gb_char.table gbk_char.table interpolation.text)
set(ZHUYIN_DATA bigram.db  gb_char.bin  gbk_char.bin  phrase_index.bin  pinyin_index.bin)

add_custom_target(zhuyin_data ALL DEPENDS ${ZHUYIN_DATA})

add_custom_command(OUTPUT ${ZHUYIN_ORGDATA}
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/download.sh "${WGET}" "${ZHUYIN_URL}" "${ZHUYIN_TAR}"
                   COMMAND ${TAR} xzmvf ${ZHUYIN_TAR})
add_custom_command(OUTPUT ${ZHUYIN_DATA}
                   DEPENDS ${ZHUYIN_ORGDATA}
                   COMMAND ${LIBPINYIN_GEN_BINARY_FILES} --table-dir ${CMAKE_CURRENT_BINARY_DIR}
                   COMMAND ${LIBPINYIN_IMPORT_INTERPOLATION} < ${CMAKE_CURRENT_BINARY_DIR}/interpolation.text
                   COMMAND ${LIBPINYIN_GEN_UNIGRAM})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bigram.db
              ${CMAKE_CURRENT_BINARY_DIR}/gb_char.bin
              ${CMAKE_CURRENT_BINARY_DIR}/gbk_char.bin
              ${CMAKE_CURRENT_BINARY_DIR}/phrase_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
        DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "") 

set(POT_FILE fcitx-libpinyin.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-libpinyin --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)

include_directories (
    ${PROJECT_BINARY_DIR}
    ${LIBPINYIN_INCLUDE_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    )

link_directories (${LIBPINYIN_LIBRARY_DIRS})

set( fcitx_libpinyin_sources
    eim.cpp
    enummap.cpp
    config.cpp
    pystring.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-libpinyin ${fcitx_libpinyin_sources} )
target_link_libraries (fcitx-libpinyin
                       ${LIBPINYIN_LIBRARIES}
                       ${LIBINTL_LIBRARIES}
                       ${GLIB2_LIBRARIES}
                       )

=== standalone/CMakeLists.txt ===
include_directories (
    ${PROJECT_BINARY_DIR}
    ${LIBPINYIN_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    )
    
add_executable(standalone_test main.cpp )
target_link_libraries (standalone_test
                       ${LIBPINYIN_LIBRARIES}
                       ${LIBINTL_LIBRARIES}
                       ${GLIB2_LIBRARIES}
                       )

=== debian/changelog ===
fcitx-libpinyin (0.1.1-2) unstable; urgency=low

  * compatible with 0.6.91

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 26 May 2012 16:48:38 +0800

fcitx-libpinyin (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #658145)

 -- Aron Xu <aron@debian.org>  Thu, 03 May 2012 18:23:02 +0000

=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libpinyin0-dev (>= 0.6.91),
 libpinyin-utils, intltool, pkg-config, libglib2.0-dev
Standards-Version: 3.9.3
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-libpinyin.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-libpinyin.git

Package: fcitx-libpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-libpinyin-*\.*(.*)\.tar\.xz

## fcitx-libpinyin 0.2.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 install(FILES bopomofo.png RENAME fcitx-bopomofo.png DESTINATION share/icons/hicolor/48x48/status/)
 
-set(ZHUYIN_URL "https://github.com/downloads/fcitx/fcitx-libpinyin/model.text.tar.gz")
-set(ZHUYIN_TAR "${CMAKE_CURRENT_SOURCE_DIR}/model.text.tar.gz")
+set(ZHUYIN_DATA_FILE_NAME model.text.20120921.tar.gz)
+set(ZHUYIN_URL "https://github.com/downloads/fcitx/fcitx-libpinyin/${ZHUYIN_DATA_FILE_NAME}")
+set(ZHUYIN_TAR "${CMAKE_CURRENT_SOURCE_DIR}/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA gb_char.table gbk_char.table interpolation.text)
 set(ZHUYIN_DATA bigram.db  gb_char.bin  gbk_char.bin  phrase_index.bin  pinyin_index.bin)

=== debian/changelog ===
fcitx-libpinyin (0.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump standard version to 3.9.4.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 17:47:19 +0800

fcitx-libpinyin (0.2.1-1) experimental; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 28 Sep 2012 15:52:07 +0800

fcitx-libpinyin (0.2.0-1) experimental; urgency=low

  [ YunQiang Su ]
  * debian/watch: watch _dict.tar.gz
  * New upstream version 0.2.0

  [ Aron Xu ]
  * Use dh compat 9, update build dependencies.

 -- Aron Xu <aron@debian.org>  Sat, 04 Aug 2012 23:13:35 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, fcitx-libs-dev, libpinyin0-dev (>= 0.6.91),
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.5), libpinyin2-dev (>= 0.7.0),
  libpinyin-utils, intltool, pkg-config, libglib2.0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/fcitx-libpinyin.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-libpinyin.git

## fcitx-libpinyin 0.2.92

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(fcitx-libpinyin)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Libintl REQUIRED)
FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(Libpinyin REQUIRED)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")

if(NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

set(FCITX_LIBPINYIN_ZHUYIN_DATADIR
  "${FCITX4_PREFIX}/share/fcitx/libpinyin/zhuyin_data")
set(libdir ${LIB_INSTALL_DIR})

configure_file(config.h.in config.h)

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(data)

=== data/CMakeLists.txt ===
install(FILES bopomofo.png RENAME fcitx-bopomofo.png
  DESTINATION share/icons/hicolor/48x48/status/)

set(_LIBPINYIN_TABLE art gb_char history nature scitech
                     culture gbk_char life society economy geology merged
                     sport)

foreach(f ${_LIBPINYIN_TABLE})
    set(_LIBPINYIN_TABLE_FILES ${_LIBPINYIN_TABLE_FILES} "${f}.table")
    set(_LIBPINYIN_BIN_FILES ${_LIBPINYIN_BIN_FILES} "${f}.bin")
    set(_LIBPINYIN_GEN_BIN_FILES ${_LIBPINYIN_GEN_BIN_FILES} "${CMAKE_CURRENT_BINARY_DIR}/${f}.bin")
endforeach()

set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
set(ZHUYIN_URL "http://fcitx.googlecode.com/files/${ZHUYIN_DATA_FILE_NAME}")
set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin  pinyin_index.bin)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)

fcitx_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}"
  MD5SUM f908d19ebef9527fea06ea7d072500b0)
fcitx_extract(zhuyin-data-extract "${ZHUYIN_DATA_FILE_NAME}"
  DEPENDS zhuyin_data_tar OUTPUT ${ZHUYIN_ORGDATA})

add_custom_command(OUTPUT ${ZHUYIN_DATA}
  DEPENDS ${ZHUYIN_ORGDATA} zhuyin-data-extract
  COMMAND "${CMAKE_COMMAND}" -E remove ${ZHUYIN_DATA}
  COMMAND "${LIBPINYIN_GEN_BINARY_FILES}"
  --table-dir "${CMAKE_CURRENT_BINARY_DIR}"
  COMMAND "${LIBPINYIN_IMPORT_INTERPOLATION}"
  < "${CMAKE_CURRENT_BINARY_DIR}/interpolation2.text"
  COMMAND "${LIBPINYIN_GEN_UNIGRAM}")

add_custom_target(zhuyin_data ALL DEPENDS ${ZHUYIN_DATA})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bigram.db
              ${_LIBPINYIN_GEN_BIN_FILES}
              ${CMAKE_CURRENT_BINARY_DIR}/phrase_index.bin
              ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
              table.conf
        DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})

=== po/CMakeLists.txt ===
set(PO_LANGS zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-libpinyin fcitx-libpinyin.pot)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,12 @@
     eim.cpp
     enummap.cpp
     config.cpp
-    pystring.cpp
     )
 
 add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )
 
-fcitx_add_addon(fcitx-libpinyin ${fcitx_libpinyin_sources} )
-target_link_libraries (fcitx-libpinyin
-                       ${LIBPINYIN_LIBRARIES}
-                       ${LIBINTL_LIBRARIES}
-                       ${GLIB2_LIBRARIES}
-                       )
+fcitx_add_addon_full(libpinyin DESC
+SOURCES ${fcitx_libpinyin_sources}
+IM_CONFIG pinyin-libpinyin.conf shuangpin-libpinyin.conf zhuyin-libpinyin.conf
+LINK_LIBS ${LIBPINYIN_LIBRARIES} ${LIBINTL_LIBRARIES} ${GLIB2_LIBRARIES}
+)

=== debian/changelog ===
fcitx-libpinyin (0.2.92-1) unstable; urgency=low

  * Imported Upstream version 0.2.92
  * Remove DMUA stantz
  * Bump build with libpinyin4
  * Add fcitx-bin to build-dep

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 30 Sep 2013 20:20:26 +0800

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.5), libpinyin2-dev (>= 0.7.0),
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 4.2.7), fcitx-bin (>= 4.2.7), libpinyin4-dev (>= 0.9.93),
  libpinyin-utils, intltool, pkg-config, libglib2.0-dev
 Standards-Version: 3.9.4
 Homepage: http://code.googlecode.com/p/fcitx

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
LDFLAGS += -Wl,--as-needed

%:
	dh $@ 
override_dh_makeshlibs:

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-libpinyin-*\.*(.*)_dict\.tar\.xz

## fcitx-libpinyin 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.6)
 project(fcitx-libpinyin)
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
-FIND_PACKAGE(Libintl REQUIRED)
-FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)
+option(ENABLE_QT "Enable Qt for dictmanager" On)
+
+find_package(Libintl REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
 find_package(GLIB2 REQUIRED)
 find_package(Libpinyin REQUIRED)
+find_package(DBus REQUIRED)
 
 _fcitx_add_uninstall_target()
 
@@ -32,3 +35,4 @@
 add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(data)
+add_subdirectory(dictmanager)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
-install(FILES bopomofo.png RENAME fcitx-bopomofo.png
-  DESTINATION share/icons/hicolor/48x48/status/)
-
+foreach(icon pinyin-libpinyin shuangpin-libpinyin bopomofo)
+    install(FILES ${icon}.png RENAME fcitx-${icon}.png
+            DESTINATION share/icons/hicolor/48x48/status/)
+    install(FILES ${icon}.png
+            DESTINATION share/fcitx/imicon)
+endforeach()
 set(_LIBPINYIN_TABLE art gb_char history nature scitech
                      culture gbk_char life society economy geology merged
                      sport)
@@ -12,7 +15,7 @@
 endforeach()
 
 set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
-set(ZHUYIN_URL "http://fcitx.googlecode.com/files/${ZHUYIN_DATA_FILE_NAME}")
+set(ZHUYIN_URL "http://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin  pinyin_index.bin)

=== dictmanager/CMakeLists.txt ===
set(DICT_MANAGER_SRCS
    importer.cpp
    dictmanager.cpp
    main.cpp
    filelistmodel.cpp
    browserdialog.cpp
    filedownloader.cpp
    scelconverter.cpp
    erroroverlay.cpp
    )
fcitx_translate_add_sources(
    ${DICT_MANAGER_SRCS})

if (ENABLE_QT)
find_package(Qt4 4.8 REQUIRED COMPONENTS QtCore QtGui QtWebkit QtNetwork)
pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED )
endif (ENABLE_QT)

if (NOT QT_FOUND OR NOT ENABLE_QT)
    return()
endif (NOT QT_FOUND OR NOT ENABLE_QT)

include_directories(
    ${FCITX_QT_INCLUDE_DIRS}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTWEBKIT_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ../src/
    )

include_directories (
    ${PROJECT_BINARY_DIR}
    ${LIBPINYIN_INCLUDE_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIR}
    ${DBUS_ARCH_INCLUDE_DIR}
    )

link_directories(
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
${FCITX_QT_LIBRARY_DIRS}
)

qt4_wrap_ui(DICT_MANAGER_SRCS dictmanager.ui browserdialog.ui)

add_library(fcitx-libpinyin-dictmanager MODULE ${DICT_MANAGER_SRCS})
set_target_properties(fcitx-libpinyin-dictmanager PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE)

target_link_libraries(fcitx-libpinyin-dictmanager
${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTWEBKIT_LIBRARY}
${FCITX_QT_LIBRARIES}
${FCITX4_FCITX_UTILS_LIBRARIES}
${FCITX4_FCITX_CONFIG_LIBRARIES}
)

install(TARGETS fcitx-libpinyin-dictmanager DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== debian/changelog ===
fcitx-libpinyin (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 03:35:08 +0800

=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-bin (>= 4.2.7),
               fcitx-libs-dev (>= 4.2.7),
               intltool,
               libdbus-1-dev,
               libglib2.0-dev,
               libpinyin-utils,
               libpinyin4-dev (>= 0.9.93),
               libqt4-dev,
               libqtwebkit-dev,
               pkg-config
Standards-Version: 3.9.5
Homepage: http://code.googlecode.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-libpinyin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-libpinyin.git

Package: fcitx-libpinyin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.

## fcitx-libpinyin 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,12 @@
   set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
 endif()
 
+if (LIBPINYIN_GEN_UNIGRAM AND LIBPINYIN_GEN_BINARY_FILES AND LIBPINYIN_IMPORT_INTERPOLATION)
+    set(LIBPINYIN_TOOLS_FOUND 1)
+else()
+    set(LIBPINYIN_TOOLS_FOUND 0)
+endif ()
+
 set(FCITX_LIBPINYIN_ZHUYIN_DATADIR
   "${FCITX4_PREFIX}/share/fcitx/libpinyin/zhuyin_data")
 set(libdir ${LIB_INSTALL_DIR})

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
     install(FILES ${icon}.png
             DESTINATION share/fcitx/imicon)
 endforeach()
+
+if (LIBPINYIN_TOOLS_FOUND)
+
 set(_LIBPINYIN_TABLE art gb_char history nature scitech
                      culture gbk_char life society economy geology merged
                      sport)
@@ -17,7 +20,8 @@
 set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
 set(ZHUYIN_URL "http://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
-set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin  pinyin_index.bin)
+set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
+                pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)
 
@@ -41,5 +45,9 @@
               ${_LIBPINYIN_GEN_BIN_FILES}
               ${CMAKE_CURRENT_BINARY_DIR}/phrase_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
+              ${CMAKE_CURRENT_BINARY_DIR}/addon_phrase_index.bin
+              ${CMAKE_CURRENT_BINARY_DIR}/addon_pinyin_index.bin
               table.conf
         DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})
+
+endif()

=== dictmanager/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
 ${FCITX_QT_LIBRARIES}
 ${FCITX4_FCITX_UTILS_LIBRARIES}
 ${FCITX4_FCITX_CONFIG_LIBRARIES}
+${LIBINTL_LIBRARIES}
 )
 
 install(TARGETS fcitx-libpinyin-dictmanager DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(PO_LANGS zh_CN zh_TW ja)
+set(PO_LANGS de zh_CN zh_TW ja)
 foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
 endforeach()

=== src/CMakeLists.txt ===

include_directories (
    ${PROJECT_BINARY_DIR}
    ${LIBPINYIN_INCLUDE_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIR}
    ${DBUS_ARCH_INCLUDE_DIR}
    )

link_directories (${LIBPINYIN_LIBRARY_DIRS})

set( fcitx_libpinyin_sources
    eim.cpp
    enummap.cpp
    config.cpp
    bus.cpp
    utils.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon_full(libpinyin DESC
SOURCES ${fcitx_libpinyin_sources}
IM_CONFIG pinyin-libpinyin.conf shuangpin-libpinyin.conf zhuyin-libpinyin.conf
LINK_LIBS ${LIBPINYIN_LIBRARIES} ${LIBINTL_LIBRARIES} ${GLIB2_LIBRARIES} ${DBUS_LIBRARIES}
)

=== debian/changelog ===
fcitx-libpinyin (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2015 20:05:15 +0800

fcitx-libpinyin (0.3.3-1) experimental; urgency=medium

  * Imported Upstream version 0.3.3
  * Update B-D, update std-ver

 -- Aron Xu <aron@debian.org>  Fri, 30 Oct 2015 17:54:46 +0800

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                libdbus-1-dev,
                libglib2.0-dev,
                libpinyin-utils,
-               libpinyin4-dev (>= 0.9.93),
+               libpinyin7-dev,
                libqt4-dev,
                libqtwebkit-dev,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://code.googlecode.com/p/fcitx
 Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-libpinyin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-libpinyin.git

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 %:
 	dh $@ 
 override_dh_makeshlibs:
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

## fcitx-libpinyin 0.5.3

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
     set(_LIBPINYIN_GEN_BIN_FILES ${_LIBPINYIN_GEN_BIN_FILES} "${CMAKE_CURRENT_BINARY_DIR}/${f}.bin")
 endforeach()
 
-set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
+set(ZHUYIN_DATA_FILE_NAME model.text.20161206.tar.gz)
 set(ZHUYIN_URL "http://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
@@ -26,7 +26,7 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)
 
 fcitx_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}"
-  MD5SUM f908d19ebef9527fea06ea7d072500b0)
+  MD5SUM f657ea2e9091e35021037ef4ce796e1d)
 fcitx_extract(zhuyin-data-extract "${ZHUYIN_DATA_FILE_NAME}"
   DEPENDS zhuyin_data_tar OUTPUT ${ZHUYIN_ORGDATA})

=== dictmanager/CMakeLists.txt ===
set(DICT_MANAGER_SRCS
    importer.cpp
    dictmanager.cpp
    main.cpp
    filelistmodel.cpp
    browserdialog.cpp
    filedownloader.cpp
    scelconverter.cpp
    erroroverlay.cpp
    )
fcitx_translate_add_sources(
    ${DICT_MANAGER_SRCS})

if (NOT ENABLE_QT)
    return()
endif ()

find_package(Qt5 5.7 REQUIRED COMPONENTS Core Gui WebEngineWidgets Network DBus)
find_package(FcitxQt5WidgetsAddons 1.1 REQUIRED)
find_package(FcitxQt5DBusAddons 1.1 REQUIRED)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ../src/
    )

include_directories (
    ${PROJECT_BINARY_DIR}
    ${LIBPINYIN_INCLUDE_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    ${GLIB2_INCLUDE_DIR}
    ${DBUS_INCLUDE_DIR}
    ${DBUS_ARCH_INCLUDE_DIR}
    )

link_directories(
${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)

qt5_wrap_ui(DICT_MANAGER_SRCS dictmanager.ui browserdialog.ui)

add_library(fcitx-libpinyin-dictmanager MODULE ${DICT_MANAGER_SRCS})
set_target_properties(fcitx-libpinyin-dictmanager PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE)

target_link_libraries(fcitx-libpinyin-dictmanager
Qt5::Core Qt5::Gui Qt5::DBus Qt5::Network Qt5::WebEngineWidgets FcitxQt5::WidgetsAddons FcitxQt5::DBusAddons
${FCITX4_FCITX_UTILS_LIBRARIES}
${FCITX4_FCITX_CONFIG_LIBRARIES}
${LIBINTL_LIBRARIES}
)

install(TARGETS fcitx-libpinyin-dictmanager DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== debian/changelog ===
fcitx-libpinyin (0.5.3-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Boyuan Yang ]
  * debian: Apply "wrap-and-sort -abst".
  * debian: Bump debhelper compat to v11.
  * debian/control:
    + Revert maintainer name to Debian Input Method Team.
    + Update Vcs-* fields and use git repo under input-method-team.
    + Mark fcitx-libpinyin as Multi-Arch: same.
  * debian/rules: Modernize rules file and use dh_missing --fail-missing.
  * debian/copyright: Update source url with gitlab.com repository.
  * debian/watch: Update url to monitor gitlab.com upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Oct 2018 21:03:06 -0400

fcitx-libpinyin (0.5.3-2) unstable; urgency=medium

  * Disable QT on platform without qtwebengine support.

 -- YunQiang Su <syq@debian.org>  Wed, 09 May 2018 21:22:41 +0800

fcitx-libpinyin (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Update Maintainer mail to debian-input-method@lists.debian.org.
  * Add ChangZhuo Chen (陳昌倬) as Uploaders.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Feb 2018 10:12:30 +0800

fcitx-libpinyin (0.5.2-1~exp1) experimental; urgency=medium

  * Team upload
  * Import Upstream version 0.5.2
  * Update outdated url
  * d/control:
    + Update Build-Depends
      Drop libqtwebkit-dev, add qtwebengine5-dev (Closes: #784462)
      Bump to libpinyin13-dev
    + Update Standards-Version to 4.1.0

 -- Shengjing Zhu <i@zhsj.me>  Mon, 11 Sep 2017 22:22:25 +0800

=== debian/control ===
Source: fcitx-libpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
 fcitx-bin (>= 4.2.8),
 fcitx-libs-dev (>= 4.2.8),
 intltool,
 libdbus-1-dev,
 libfcitx-qt5-dev [amd64 arm64 armhf i386 mipsel],
 libglib2.0-dev,
 libpinyin13-dev,
 pkg-config,
 qtbase5-dev [amd64 arm64 armhf i386 mipsel],
 qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
Build-Conflicts:
 libpinyin-utils,
Standards-Version: 4.2.1
Homepage: https://github.com/fcitx/fcitx-libpinyin
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-libpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-libpinyin

Package: fcitx-libpinyin
Architecture: any
Multi-Arch: same
Depends:
 libpinyin-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx wrapper for libpinyin
 fcitx-libpinyin is a wrapper of libpinyin for Fcitx.
 .
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/fcitx-libpinyin.*\.tar\.gz/fcitx-libpinyin-$1\.tar\.gz/g \
  https://gitlab.com/fcitx/fcitx-libpinyin/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.* \
  debian uupdate

## fcitx-libpinyin 0.5.4

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
                 pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf.in ${CMAKE_CURRENT_BINARY_DIR}/table.conf @ONLY)
 
 fcitx_download(zhuyin_data_tar "${ZHUYIN_URL}" "${ZHUYIN_DATA_FILE_NAME}"
   MD5SUM f657ea2e9091e35021037ef4ce796e1d)
@@ -47,7 +47,7 @@
               ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/addon_phrase_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/addon_pinyin_index.bin
-              table.conf
+              ${CMAKE_CURRENT_BINARY_DIR}/table.conf
         DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})
 
 endif()

=== dictmanager/CMakeLists.txt ===
--- 
+++ 
@@ -26,14 +26,10 @@
 
 include_directories (
     ${PROJECT_BINARY_DIR}
-    ${LIBPINYIN_INCLUDE_DIR}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${LIBINTL_INCLUDE_DIR}
-    ${GLIB2_INCLUDE_DIR}
-    ${DBUS_INCLUDE_DIR}
-    ${DBUS_ARCH_INCLUDE_DIR}
     )
 
 link_directories(
@@ -41,11 +37,9 @@
 ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
 )
 
-qt5_wrap_ui(DICT_MANAGER_SRCS dictmanager.ui browserdialog.ui)
-
 add_library(fcitx-libpinyin-dictmanager MODULE ${DICT_MANAGER_SRCS})
 set_target_properties(fcitx-libpinyin-dictmanager PROPERTIES
-                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE)
+                      LINK_FLAGS "-Wl,--no-undefined" AUTOMOC TRUE AUTOUIC TRUE)
 
 target_link_libraries(fcitx-libpinyin-dictmanager
 Qt5::Core Qt5::Gui Qt5::DBus Qt5::Network Qt5::WebEngineWidgets FcitxQt5::WidgetsAddons FcitxQt5::DBusAddons

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-libpinyin fcitx-libpinyin.pot)

=== src/CMakeLists.txt ===

include_directories (
    ${PROJECT_BINARY_DIR}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${LIBINTL_INCLUDE_DIR}
    )

set( fcitx_libpinyin_sources
    eim.cpp
    enummap.cpp
    config.cpp
    bus.cpp
    utils.cpp
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon_full(libpinyin DESC
SOURCES ${fcitx_libpinyin_sources}
IM_CONFIG pinyin-libpinyin.conf shuangpin-libpinyin.conf zhuyin-libpinyin.conf
LINK_LIBS PkgConfig::LibPinyin PkgConfig::DBus ${LIBINTL_LIBRARIES}
)

=== debian/changelog ===
fcitx-libpinyin (0.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/upstream/signing-key.asc: Add upstream key.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Jan 2021 13:24:30 -0500

fcitx-libpinyin (0.5.3-4) unstable; urgency=medium

  * Team upload.
  * Rebuild before Debian 11 release.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compat to v13.
  * debian/watch: Monitor download.fcitx-im.org release.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Jan 2021 11:33:31 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  YunQiang Su <syq@debian.org>,
  ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends:
- cmake,
- debhelper (>= 11),
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
  fcitx-bin (>= 4.2.8),
  fcitx-libs-dev (>= 4.2.8),
  intltool,
@@ -19,9 +19,8 @@
  pkg-config,
  qtbase5-dev [amd64 arm64 armhf i386 mipsel],
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Build-Conflicts:
  libpinyin-utils,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/fcitx/fcitx-libpinyin
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-libpinyin.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-libpinyin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk

$(info $(DEB_HOST_ARCH))

%:
	dh $@

override_dh_makeshlibs:

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386 mipsel))
override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_QT=off
endif

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx-libpinyin/ \
 fcitx-libpinyin-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
